/*
 * ---------------------------------------------------
 *      module name : 
 * module file name : S0.C
 *          created : 7/1/97 12:34:43 AM
 * ---------------------------------------------------
 */
predef unsigned int S0TBUF, S0TIC;
predef bit S0TIR;
predef unsigned int S0RBUF, S0RIC;
predef bit S0RIR;

/* -------------------- */
#pragma DebugOff
void SendInt(int n){
int nNum, nRemain, nResult;

 if(n & 0x8000)
  {
   SendChar('-');
   nNum=(~n)+1;
   }
  else nNum=n;

 nResult=nNum/10000;
 nRemain=nNum-nResult*10000;
 SendChar(nResult+'0');
 nNum=nRemain;

 nResult=nNum/1000;
 nRemain=nNum-nResult*1000;
 SendChar(nResult+'0');
 nNum=nRemain;

 nResult=nNum/100;
 nRemain=nNum-nResult*100;
 SendChar(nResult+'0');
 nNum=nRemain;

 nResult=nNum/10;
 nRemain=nNum-nResult*10;
 SendChar(nResult+'0');
 SendChar(nRemain+'0');
// SendChar(10);
}
/* -------------------- */
#pragma DebugOff
void SendIntBin(int n){
 SendChar(n>>8);
 SendChar(n & 0xFF);
}
/* -------------------- */
#pragma DebugOff
void SendChar(char Ch){
 S0TBUF=Ch;
 while(!S0TIR);
 S0TIC=0;
}
/* -------------------- */
#pragma DebugOff
void SendStr(char *sz){
char ch;

 ch=*sz;
 while(ch)
  {
   while(ch=='\\')
    {
     sz++;
     ch=*sz;
     if(ch=='n')
      {
       SendChar(10);  // new line
       sz++;
       ch=*sz;
       }
      if(ch==0) return;
     }

   SendChar(ch);
   sz++;
   ch=*sz;
   }          
}
/* -------------------- */
/* -------------------- */
#pragma DebugOff
char GetChar(void){

 S0RIR=0;
 S0RIC=0;
 return(S0RBUF);
}
/* -------------------- */
#pragma DebugOff
char PeekChar(void){

 if(S0RIR) return(S0RBUF);
 return(0); 
}
/* -------------------- */

